{"openapi":"3.1.0","info":{"title":"Privacy Automation - Data Subject Request (DSR) Automation","version":"1.0","contact":{"name":"OneTrust Support","url":"https://my-onetrust-com.surrey.idm.oclc.org/s/contactsupport"},"license":{"name":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0"},"description":"The Privacy Rights Automation are used to manage, process, and fulfill data subject access requests (DSARs), including request creation, subtask management, resolution codes, verification methods, and audit history."},"servers":[{"url":"https://{hostname}","variables":{"hostname":{"default":"hostname","description":"The OneTrust hostname such as app.onetrust.com, app-eu.onetrust.com, app-de.onetrust.com, app-uk.onetrust.com, app-apac.onetrust.com, trial.onetrust.com, or uat.onetrust.com."}}}],"tags":[{"name":"Request Queues","description":"APIs used to create, search, update, and manage privacy request queues.","externalDocs":{"description":"OpenAPI 3.1.0 - Download Definition","url":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"}},{"name":"Resolutions","description":"APIs used to create, update, delete, and retrieve resolution codes for privacy requests and subtasks.","externalDocs":{"description":"OpenAPI 3.1.0 - Download Definition","url":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"}},{"name":"Results Summary","description":"APIs used to share results summaries.","externalDocs":{"description":"OpenAPI 3.1.0 - Download Definition","url":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"}},{"name":"Subtasks","description":"APIs used to create, update, complete, and reprocess subtasks associated with privacy requests.","externalDocs":{"description":"OpenAPI 3.1.0 - Download Definition","url":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"}},{"name":"Targeted Data Discovery","description":"APIs used to add, update, and retrieve structured or unstructured data discovery results linked to privacy requests.","externalDocs":{"description":"OpenAPI 3.1.0 - Download Definition","url":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"}},{"name":"Verification Methods","description":"APIs used to create, update, and retrieve methods for verifying a data subject's identity.","externalDocs":{"description":"OpenAPI 3.1.0 - Download Definition","url":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"}}],"x-onetrust":{"spec-label":"OpenAPI 3.1.0","links":["{'Data Subject Request (DSR) Automation Knowledge Base': 'https://my-onetrust-com.surrey.idm.oclc.org/s/topic/0TO1Q000000ItbqWAC/data-subject-request-dsr-automation'}"]},"x-readme":{"explorer-enabled":false,"proxy-enabled":false,"metrics-enabled":false},"paths":{"/api/datasubject/v2/datadiscovery/groups/{groupId}/requestqueues/{requestQueueRefId}":{"get":{"operationId":"getAllGroupAndAttachmentDetailsUsingGET","summary":"Get Targeted Data Discovery Group","description":"Use this API to retrieve results for a Targeted Data Discovery group for the specified request.","tags":["Targeted Data Discovery"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"groupId","in":"path","required":true,"schema":{"description":"TDD Group Id","type":"string","format":"uuid"}},{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request queue ref ID","type":"string"}},{"name":"includeAttachments","in":"query","required":false,"schema":{"description":"Set to true to include attachment information in the response. If false or omitted, attachments will not be included.","type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataDiscoveryGroupV2Dto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/datadiscovery/requestqueues/{requestQueueRefId}":{"get":{"operationId":"getAllGroupByRequestUsingGET","summary":"Get List of Targeted Data Discovery Groups","description":"Use this API to retrieve a list of all Targeted Data Discovery groups for the specified request. The response will include details for each group along with the corresponding group ID, name, and order.","tags":["Targeted Data Discovery"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request queue reference Id","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataDiscoveryGroupResultV2Dto"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]},"post":{"operationId":"dataDiscoveryUpdatesUsingPOST","summary":"Add Targeted Data Discovery Results Summary to Request","description":"Use this API to add Targeted Data Discovery results to a request.","tags":["Targeted Data Discovery"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request queue reference Id","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataDiscoveryGroupDto"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues":{"post":{"operationId":"createRequestQueueFromMessageUsingPOST","summary":"Create Request","description":"> ❗️ End of Support Notification\n>\n> As of March 3, 2022, this API is now deprecated. Any customers leveraging this API are encouraged to migrate to the [Create Request API](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/createrequestqueuev2usingpost). For more information, see [OneTrust API Sunsetting & Deprecation Guidelines](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/onetrust-api-sunsetting-deprecation-guidelines).\n\nUse this API to create a request for a given hosted web form. The webform must already be created.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DSARRequestDto"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"deprecated":true,"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/bulkdelete/{language}":{"put":{"operationId":"bulkDeleteUsingPUT","summary":"Delete Requests","description":"Use this API to delete requests in bulk. The associated subtasks, attachments, and Results Summaries will also be deleted. Request deletion is a permanent action that should be exercised with caution.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"language","in":"path","required":true,"schema":{"description":"A language code that identifies the language in which the request data should be returned, assuming translations are available for that language. \nExamples: en-us for English, de for German, fr for French, etc.","type":"string"},"example":"en-us"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestQueueBulkDeleteV2Dto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestQueueBulkDeleteResponseDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/delete-certificate/{requestRefId}":{"get":{"operationId":"getDeletionCertificateUsingGET","summary":"Get Deletion Certificate","description":"Use this API to retrieve a deletion certificate for a deleted request. The response will serve as the deletion certification and will include details such as the retention policy (if applicable), deletion date and time, and deletion mode.\n\n> 🗒 Things to Know\n>\n> - Certificate data is available only for requests deleted within the past 360 days.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestRefId","in":"path","required":true,"schema":{"description":"Deleted Request Reference ID (10-character ID that is unique to each request)","type":"string"},"example":"SL244HWD6D"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeletionCertificateV2DTO"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/id/{requestQueueId}/requesthistory":{"get":{"operationId":"getRequestHistoryByIdUsingGET","summary":"Get Request Audit History","description":"Use this API to retrieve the audit history of a request. The response will include details such as field updates and the date and time when changes were made.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueId","in":"path","required":true,"schema":{"description":"GUID that is unique to each request. This GUID can be obtained either from the response of the GET /requestqueues/{language} API orfrom the url by navigating to the request details page within the DSAR module in the application. If the request is deleted,obtain the ID by navigating to the request URL from the assignee email.","type":"string","format":"uuid"}},{"name":"page","in":"query","schema":{"description":"Results page you want to retrieve. Page number starts with 0 (0..N)","type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","schema":{"description":"Number of records per page.","type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequestAuditInfoResponse"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/results-summary/share/{requestQueueRefId}":{"post":{"operationId":"shareResultsSummaryUsingPOST","summary":"Share Results Summary","description":"Use this API to share data discovery results summary with the data subject via email. The API supports sharing results in CSV or PDF format. When sharing as PDF, you must provide a report template ID to customize the output format.\n\n> 🗒 Things to Know\n>\n> - The report template ID (not name) must be provided for PDF reports.\n> - The API processes sharing asynchronously. For tracking, you can either mark a specific subtask as complete\\n by providing the subtaskId (the request will auto-progress when the subtask is completed), or you can mark the entire request as complete using the markRequestAsComplete flag.\n> - Comments in the request body support HTML content and will be sanitized.\n> - The report name format is: `{YYYYMMD}_{RequestRefId}___Report` (e.g., `2025113_HMVBKRYTYE___Report`).","tags":["Results Summary"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","description":"Request Reference ID (10-character ID that is unique to each request)","required":true,"schema":{"type":"string","maxLength":10,"minLength":10},"example":"HMVBKRYTYE"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/CsvResultsSummaryShareRequest"},{"$ref":"#/components/schemas/PdfResultsSummaryShareRequest"}]}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/search/{language}":{"post":{"operationId":"searchForRequestUsingPOST","summary":"Search Requests","description":"Use this API to search for requests by key terms, such as the data subject’s first name, last name, email address, or request ID.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"language","in":"path","required":true,"schema":{"description":"A language code that identifies the language in which the request data should be searched, assuming translations are available for that language. \nExamples: en-us for English, de for German, fr for French, etc.","type":"string"},"example":"en-us"},{"name":"createddate","in":"query","required":false,"schema":{"description":"A date (yyyyMMdd). Include to retrieve a list of requests created on or after the specified date. For example, if you want to retrieve requests created on or after January 30, 2019, include the createddate=20190130 parameter in your query.","type":"string","format":"date"},"example":20190130},{"name":"page","in":"query","schema":{"description":"Results page you want to retrieve. Page number starts with 0 (0..N)","type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","schema":{"description":"Number of records per page.","type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchV2Request"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResultPage"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/status/{requestTraceId}":{"get":{"operationId":"getRequestCreationLogsUsingGET","summary":"Get Request Creation Logs","description":"Use this API to retrieve the creation details of a request by trace ID. The response will return the created date, creation status, and request ID.\n\n> 👍\n>\n> For more information, see [Using the Asynchronous Request Creation API](https://my-onetrust-com.surrey.idm.oclc.org/s/article/UUID-c35a2967-4869-e091-b957-f3819f20d55e?topicId=0TO1Q000000ItSgWAK).","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestTraceId","in":"path","required":true,"schema":{"description":"Request trace ID","type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRequestLogDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{language}":{"get":{"operationId":"getAllRequestQueuesV2UsingGET","summary":"Get List of Requests","description":"Use this API to retrieve a list of all requests. The response will include details for each request along with the approver, date created, and data subject's first and last name.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"language","in":"path","required":true,"schema":{"description":"A language code that identifies the language in which the request data should be returned, assuming translations are available for that language. \nExamples: en-us for English, de for German, fr for French, etc.","type":"string"},"example":"en-us"},{"name":"modifieddate","in":"query","required":false,"schema":{"description":"A date (yyyyMMdd). Include to retrieve a list of requests modified on or after the specified date. For example, if you want to retrieve requests modified on or after January 30, 2019, include the modifieddate=20190130 parameter in your query.","type":"string","format":"date"},"example":20190130},{"name":"createddate","in":"query","required":false,"schema":{"description":"A date (yyyyMMdd). Include to retrieve a list of requests created on or after the specified date. For example, if you want to retrieve requests created on or after January 30, 2019, include the createddate=20190130 parameter in your query.","type":"string","format":"date"},"example":20190130},{"name":"status","in":"query","required":false,"schema":{"description":"Filter requests by stage name. Parameters must be URL encoded.","type":"string"},"example":"NEW"},{"name":"ignoreUserRequests","in":"query","required":false,"schema":{"description":"A flag to exclude requests associated with user if they are not associated with specified organization.","type":"boolean","default":false}},{"name":"page","in":"query","schema":{"description":"Results page you want to retrieve. Page number starts with 0 (0..N)","type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","schema":{"description":"Number of records per page. Maximum page size allowed is 500","type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20},{"name":"sort","in":"query","schema":{"description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending.","type":"string"},"example":"createdDate,desc"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequestQueueV2Dto"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/comments":{"put":{"operationId":"addCommentsUsingPUT","summary":"Add Comment to Request","description":"Use this API to add a comment to a request.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request queue reference Id","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommentV2Request"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/customfields/{language}":{"put":{"operationId":"updateCustomFieldsUsingPUT","summary":"Update Request Custom Fields","description":"Use this API to update the fields of a request.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Reference ID of the request","type":"string"}},{"name":"language","in":"path","required":true,"schema":{"description":"A language code that identifies the language in which the request data should be returned after the move, assuming translations are available for that language. \nExamples: en-us for English, de for German, fr for French, etc.","type":"string"},"example":"en-us"},{"name":"mapOptionKeyToNameKey","in":"query","description":"If true, call will map form fields option keys with their respective form field name keys. If false or not included, field keys will not be mapped.","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestQueueV2Dto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/language/{language}":{"get":{"operationId":"getRequestByIdUsingGET","summary":"Get Request","description":"Use this API to retrieve a single request by its unique identifier along with the associated approver details, date created, and data subject's first and last name.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Reference ID of the request","type":"string"},"example":"A1B2C3D46E"},{"name":"language","in":"path","required":true,"schema":{"description":"A language code that identifies the language in which the request data should be returned, assuming translations are available for that language. \nExamples: en-us for English, de for German, fr for French, etc.","type":"string"},"example":"en-us"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestByIdV2Dto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/linkrequest":{"put":{"operationId":"linkRequestsUsingPUT","summary":"Link Requests","description":"Use this API to link or unlink an existing request to one or multiple related requests.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request Reference ID","type":"string","example":"SYS69ZCGXP"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkV2Request"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/movestages/{language}":{"put":{"operationId":"moveStatusByRequestRefIdUsingPUT","summary":"Update Request Stage","description":"Use this API to update the workflow stage for a specific request.\n\n> 🗒 Things to Know\n>\n> - The following system default statuses can be passed as parameter values in the request when moving to a different stage: `NEW`, `VERIFYING_IDENTITY`, `IN_PROGRESS`, `REJECTED`, and `COMPLETE`.\n> - The `resolutionTitle`, `comments`, and `isInternalComment` parameters are only used when the `nextStage` parameter is set to `REJECTED`.\n> - You will not be able to advance the request to the next stage if the current stage has required subtasks that have not been completed.\n\n> 👍 \n> \n> For more information, see [Processing a Request](https://my-onetrust-com.surrey.idm.oclc.org/s/article/UUID-f24b0959-dd7b-12f1-a475-7e2bd21292bb), [Closing a Request](https://my-onetrust-com.surrey.idm.oclc.org/s/article/UUID-557ba7c1-1821-1e6a-9b8d-f846bcfb4515), and [Rejecting a Request](https://my-onetrust-com.surrey.idm.oclc.org/s/article/UUID-347ac5f3-9b3f-7cbd-3b9c-36a9251e0e47).","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","description":"The 10-character unique identifier of the request.","required":true,"schema":{"description":"Reference ID of the request","type":"string"}},{"name":"language","in":"path","description":"The language code of the request data, such as `en-us` for English, `de` for German, `fr` for French, etc.","required":true,"schema":{"description":"The ISO language code for OneTrust supported languages.Examples: en-us for English, de for German, fr for French, etc.","type":"string"},"example":"en-us"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestV2StageUpdateRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestV2StageUpdateDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/pausedeadline":{"put":{"operationId":"pauseOrResumeDeadlineUsingPUT","summary":"Pause Request Deadline","description":"Use this API to pause the deadline of a request.\n\n> 🗒 Things to Know\n> \n> - The deadline will be removed from the request until it is resumed. Once resumed, it will be adjusted based on the time that the deadline was paused.\n> - The request will be automatically resumed when the data subject responds. Manually resuming is also supported.\n\n> 👍 \n> \n> For more information, see [Pausing and Resuming a Request Deadline](https://my-onetrust-com.surrey.idm.oclc.org/s/article/UUID-33144cf2-8696-e58b-20b2-9c87bb2a17db).","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request Reference ID","type":"string"},"example":"PBF7HD9YWT"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PauseDeadlineV2Request"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/requesthistory":{"get":{"operationId":"getRequestHistory","summary":"Get Request Audit History","description":"Use this API to retrieve the audit history of a request. The response will include details such as field updates and the date and time when changes were made.","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"10-character ID that is unique to each request. This ID can be obtained either from the response of the GET /requestqueues/{language} api or by navigating to the Requests section within the DSAR module in the application","type":"string"}},{"name":"page","in":"query","schema":{"description":"Results page you want to retrieve. Page number starts with 0 (0..N)","type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","schema":{"description":"Number of records per page.","type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequestAuditInfoResponse"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/subtasks":{"get":{"operationId":"getAllSubTaskByRefIdUsingGET","summary":"Get List of Subtasks by Request","description":"Use this API to retrieve a list of all subtasks associated with a specific request. The response will include details for each subtask along with the request approver, date created, and deadline.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request queue reference Id","type":"string"},"example":"ZASHMHK2K7"},{"name":"page","in":"query","description":"Results page to be retrieved (0..N)","schema":{"type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","description":"Number of records per page (1..50)","schema":{"type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SubTaskListV2Dto"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]},"post":{"operationId":"createSubTaskUsingPOST","summary":"Add Subtask to Request","description":"Use this API to add a subtask to a request.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request queue reference Id","type":"string"},"example":"ZASHMHK2K7"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubTaskCreateV2Dto"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubTaskV2Dto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/verificationmethods":{"get":{"operationId":"getAllV2VerificationMethodsUsingGET","summary":"Get List of Verification Methods","description":"Use this API to retrieve a list of all verification methods for the specified request. The response will include details for each verification method along with the corresponding ID, description, and created date.","tags":["Verification Methods"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"The unique reference ID of the privacy request for which to retrieve verification methods.","type":"string"},"example":"ZASHMHK2K7"},{"name":"includeComments","in":"query","required":true,"schema":{"description":"Set to true to include comments and attachments in the response. If false, only basic verification method information will be returned.","type":"boolean","default":false},"example":true},{"name":"page","in":"query","schema":{"description":"Results page you want to retrieve. Page number starts with 0 (0..N)","type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","schema":{"description":"Number of records per page. Maximum page size allowed is 500","type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20},{"name":"sort","in":"query","schema":{"description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending.","type":"string","enum":["createdDate,asc","createdDate,desc","lastModifiedDate,asc","lastModifiedDate,desc"]},"example":"createdDate,desc"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VerificationMethodV2DTO"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]},"put":{"operationId":"updateV2VerificationMethodUsingPUT","summary":"Update Verification Method","description":"Use this API to update an existing verification method for a request.","tags":["Verification Methods"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"request queue reference id","type":"string"},"example":"ZASHMHK2K7"},{"name":"language","in":"query","required":false,"schema":{"description":"Language code","type":"string"},"example":"en-us"},{"name":"translate","in":"query","required":false,"schema":{"description":"Whether to translate the content","type":"boolean","default":false},"example":false}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerificationMethodV2DTO"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerificationMethodV2DTO"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]},"post":{"operationId":"createV2VerificationMethodUsingPOST","summary":"Create Verification Method","description":"Use this API to create a new verification method for the specified request.","tags":["Verification Methods"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"request queue reference id","type":"string"},"example":"ZASHMHK2K7"},{"name":"language","in":"query","required":false,"schema":{"description":"Language code","type":"string"},"example":"en-us"},{"name":"translate","in":"query","required":false,"schema":{"description":"Whether to translate the content","type":"boolean","default":false},"example":false}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerificationMethodV2DTO"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerificationMethodV2DTO"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{requestQueueRefId}/{methodId}":{"get":{"operationId":"getAllV2VerificationMethodsByIdUsingGET","summary":"Get Verification Method","description":"Use this API to retrieve a single verification method by its unique identifier for the specified request.","tags":["Verification Methods"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"The unique reference ID of the privacy request for which to retrieve the verification method.","type":"string"},"example":"ZASHMHK2K7"},{"name":"methodId","in":"path","required":true,"schema":{"description":"The unique identifier of the verification method to retrieve.","type":"string","format":"uuid"},"example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"},{"name":"includeComments","in":"query","required":true,"schema":{"description":"Set to true to include comments and attachments in the response. If false, only basic verification method information will be returned.","type":"boolean"},"example":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerificationMethodV2DTO"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/requestqueues/{templateId}":{"post":{"operationId":"createRequestQueueV2UsingPOST","summary":"Create Request","description":"Use this API to create a new request for the specified web form.\n\n> 🗒 Things to Know\n>\n> - Visibility rules configured for the web form associated to the specified template will not be inherited after request creation. For more information, see [Configuring Dynamic Fields with Visibility Rules](https://my-onetrust-com.surrey.idm.oclc.org/s/article/UUID-65f49274-b310-d0ef-397c-1d186871d920).","tags":["Request Queues"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"templateId","in":"path","required":true,"schema":{"description":"Every request is created against a webform template. The template ID is the GUID corresponding to a particular webform.\nThis can be obtained from the url by navigating to the webform.\ne.g. in this url, 'https://trial-onetrust-com.surrey.idm.oclc.org/app/#/pia/dsar/webform/manage/6519ffd5-fe6b-4804-8dfc-1c2ae2da212d',\n'6519ffd5-fe6b-4804-8dfc-1c2ae2da212d' is the templateId.","type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRequestQueue"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestQueueV2Dto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/resolutions":{"get":{"operationId":"getAllV2ResolutionsUsingGET","summary":"Get List of Resolutions","description":"Use this API to retrieve a list of all request resolutions. The response will include details for each resolution along with the corresponding ID, type, and translations.","tags":["Resolutions"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"language","in":"query","required":false,"schema":{"description":"The language code for which to retrieve resolution code translations. For example, 'en-us' for English, 'fr' for French, 'de' for German, etc.","type":"string"},"example":"en-us"},{"name":"includeSubTaskResolutions","in":"query","required":false,"schema":{"description":"Set to true to include resolution codes that are applicable to subtasks. If false or omitted, only request-level resolution codes will be returned.","type":"boolean","default":false},"example":true},{"name":"page","in":"query","schema":{"description":"Results page you want to retrieve. Page number starts with 0 (0..N)","type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","schema":{"description":"Number of records per page. Maximum page size allowed is 500","type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20},{"name":"sort","in":"query","schema":{"description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending.","type":"string","enum":["createdDate,asc","createdDate,desc","lastModifiedDate,asc","lastModifiedDate,desc"]},"example":"createdDate,desc"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequestResolutionV2Dto"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]},"post":{"operationId":"addNewResolutionUsingPOST","summary":"Create Resolution","description":"Use this API to create a new resolution.","tags":["Resolutions"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestResolutionV2Dto"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestResolutionV2Dto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/resolutions/{resolutionId}":{"put":{"operationId":"updateResolutionUsingPUT","summary":"Update Resolution","description":"Use this API to update an existing resolution.","tags":["Resolutions"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"resolutionId","in":"path","required":true,"schema":{"description":"resolutionId","type":"string","format":"uuid"},"example":"c29c36f5-1281-48bf-b486-170cae7d8727"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestResolutionV2Dto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestResolutionV2Dto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]},"delete":{"operationId":"deleteResolutionUsingDELETE","summary":"Delete Resolution","description":"Use this API to delete an existing resolution.","tags":["Resolutions"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"resolutionId","in":"path","required":true,"schema":{"description":"The unique identifier of the resolution code to be deleted.","type":"string","format":"uuid"},"example":"c29c36f5-1281-48bf-b486-170cae7d8727"}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/subtasks":{"get":{"operationId":"subtasksUsingGET","summary":"Get List of Subtasks","description":"> ❗️ End of Support Notification\n>\n> As of January 1, 2026, this API is now deprecated. Any customers leveraging this API are encouraged to use the [Get List of Subtasks by Criteria API](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/getallsubtasksv3usingpost). For more information, see [OneTrust API Sunsetting & Deprecation Guidelines](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/onetrust-api-sunsetting-deprecation-guidelines).\n\nUse this API to retrieve a list of all subtasks. The response will include details for each subtask along with the request approver, created date, and deadline.\n\n> 🗒 Things to Know\n> \n> - This API does not return subtasks in **Complete** status.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"language","in":"query","required":false,"schema":{"description":"A language code that identifies the language in which the Request Type and Subject Type values should be returned, assuming translations are available for that language. \nExamples: language=en-us for English, language=de for German, language=es for Spanish, etc.","type":"string"},"example":"en-us"},{"name":"modifieddate","in":"query","required":false,"schema":{"description":"A date (yyyyMMdd). Include to retrieve a list of subtasks modified on or after the specified date. For example, if you want to retrieve subtasks modified on or after January 30, 2019, include the modifieddate=20190130 parameter in your query.","type":"string","format":"date"},"example":20190130},{"name":"status","in":"query","required":false,"schema":{"description":"To get a SubTasks according to Status.\nExamples: status=assigned","type":"string"},"example":"assigned"},{"name":"openrequests","in":"query","required":false,"schema":{"description":"An optional parameter to show subtasks on open requests if set to true.if this parameter is set to false or omitted, the response will contain subtasks on all requests Examples: openrequests=true","type":"boolean","default":false},"example":true},{"name":"page","in":"query","schema":{"description":"Results page you want to retrieve. Page number starts with 0 (0..N)","type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","schema":{"description":"Number of records per page. Maximum page size allowed is 500","type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20},{"name":"sort","in":"query","schema":{"description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending.","type":"string","enum":["taskName,asc","taskName,desc","createdDate,asc","createdDate,desc","lastModifiedDate,asc","lastModifiedDate,desc"]},"example":"createdDate,desc"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SubTaskListV2Dto"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/subtasks/{subtaskID}":{"get":{"operationId":"getSubtaskByIDUsingGET","summary":"Get Subtask","description":"Use this API to retrieve a single subtask by its unique identifier along with the assignee, deadline, and status.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"subtaskID","in":"path","required":true,"schema":{"description":"Subtask ID","type":"string","format":"uuid"},"example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"},{"name":"includeComments","in":"query","required":false,"schema":{"description":"Include comments in the response","type":"boolean","default":false},"example":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubtaskByIdDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]},"put":{"operationId":"updateSubTaskUsingPUT","summary":"Update Subtask","description":"Use this API to update an existing subtask.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"subtaskID","in":"path","required":true,"schema":{"description":"Sub-Task UUID","type":"string","format":"uuid"},"example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubTaskUpdateV2Dto"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/subtasks/{subtaskID}/add/discovery":{"put":{"operationId":"addDataDiscoveryUsingPUT","summary":"Add Targeted Data Discovery Details to Subtask","description":"Use this API to add Targeted Data Discovery details to a subtask.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"subtaskID","in":"path","required":true,"schema":{"description":"Sub-Task UUID","type":"string","format":"uuid"},"example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubTaskDataDiscoveryRequest"},"example":{"Status":"25","key":"value1","another key":"value2"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/subtasks/{subtaskID}/complete":{"put":{"operationId":"completeSubTaskUsingPUT","summary":"Complete Subtask","description":"Use this API to resolve an existing subtask, marking it as Complete.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"subtaskID","in":"path","required":true,"schema":{"description":"Sub-Task UUID","type":"string","format":"uuid"},"example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubTaskCompleteV2Dto"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v2/subtasks/{subtaskID}/reprocess":{"put":{"operationId":"reprocessSubtaskUsingPUT","summary":"Reprocess System Subtask","description":"Use this API to reprocess a system subtask.\n\n> 🗒 Things to Know\n>\n> - System subtasks in the **Complete** and **Ready for Review** statuses are not supported.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"subtaskID","in":"path","required":true,"schema":{"description":"Subtask ID","type":"string","format":"uuid"},"example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReprocessSystemSubtaskDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_READ","DSAR_WRITE"]}]}},"/api/datasubject/v2/subtasks/{subtaskId}/status":{"put":{"operationId":"updateSubtaskStatusUsingPUT","summary":"Update Subtask Status","description":"Use this API to update the status of an existing subtask.\n\n> 🗒 Things to Know\n>\n> - The following statuses can be passed as parameter values in the request: `IN_PROGRESS`, `FAILED`, `COMPLETED`, and `REJECTED`.\n> - The Resolution ID can only be passed if the subtask status is updated to `COMPLETED` or `REJECTED`.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"subtaskId","in":"path","required":true,"schema":{"description":"Subtask Id","type":"string","format":"uuid"},"example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSubtaskStatusRequest"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v3/datadiscovery/requestqueues/{requestQueueRefId}":{"post":{"operationId":"unstructuredDataDiscoveryUpdatesUsingPOST","summary":"Add Data Points to Targeted Data Discovery Results Summary","description":"Use this API to add Targeted Data Discovery results that include unstructured data to a request.","tags":["Targeted Data Discovery"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"requestQueueRefId","in":"path","required":true,"schema":{"description":"Request queue reference Id","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataDiscoveryGroupDto"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR","DSAR_WRITE"]}]}},"/api/datasubject/v3/subtasks":{"post":{"operationId":"getAllSubtasksV3UsingPost","summary":"Get List of Subtasks by Criteria","description":"Use this API to retrieve a list of all subtasks by filter criteria.","tags":["Subtasks"],"x-onetrust":{"spec-label":"https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/openapi/privacy-automation-data-subject-request-dsr-automation.json"},"parameters":[{"name":"includeClosedSubtasks","in":"query","required":false,"schema":{"description":"Include closed subtasks in the response","type":"boolean","default":false},"example":true},{"name":"onlyActivatedSubtasks","in":"query","required":false,"schema":{"description":"Only include activated subtasks in the response","type":"boolean","default":false},"example":true},{"name":"page","in":"query","schema":{"description":"Results page you want to retrieve. Page number starts with 0 (0..N)","type":"integer","format":"int32","default":0,"minimum":0},"example":0},{"name":"size","in":"query","schema":{"description":"Number of records per page. Maximum page size allowed is 500","type":"integer","format":"int32","default":20,"maximum":500,"minimum":1},"example":20},{"name":"sort","in":"query","schema":{"description":"Sorting criteria in the format: property(,asc|desc). Default sort order is subTaskId ascending.","type":"string","enum":["requestTypeName,asc","requestTypeName,desc","subjectTypeName,asc","subjectTypeName,desc","taskName,asc","taskName,desc","subtaskDateCreated,asc","subtaskDateCreated,desc","subtaskDateUpdated,asc","subtaskDateUpdated,desc","requestDeadline,asc","requestDeadline,desc","requestDateCreated,asc","requestDateCreated,desc"]},"example":"subtaskDateCreated,desc"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubTaskV3RequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SubTaskV3Dto"}}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"429":{"description":"Too Many Requests. \nFor more information, see [API Rate Limits](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/rate-limits-overview).","headers":{"Retry-After":{"schema":{"description":"The number of seconds after which requests will be allowed again.","format":"int32"}},"ot-period":{"schema":{"description":"The unit of time for which the rate limit applies","enum":["HOUR","MINUTE"]}},"ot-ratelimit-event-id":{"schema":{"description":"The unique identifier for the rate-limiting event.","format":"uuid"}},"ot-request-made":{"schema":{"description":"The number of requests made within the specified period.","format":"int32"}},"ot-requests-allowed":{"schema":{"description":"The number of requests allowed within the specified period.","format":"int32"}}}},"500":{"description":"Internal Server Error"}},"security":[{"OAUTH2":["DSAR_READ","DSAR_WRITE"]}]}}},"components":{"schemas":{"UpdateSubtaskStatusRequest":{"type":"object","properties":{"comment":{"description":"Comments can be updated for system subtask status call - this can be used for reason for failure. Longer comments may impact system performance.","type":"string","example":"Updating the status for this reason","maxLength":1500000},"status":{"description":"Status to be updated to completed or failed","type":"string","example":"FAILED","enum":["IN_PROGRESS","FAILED","COMPLETED","REJECTED"]},"resolutionId":{"description":"Resolution ID (can only be passed if the subtask status is updated to COMPLETED or REJECTED)","type":"string","format":"uuid","example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"}},"required":["status"]},"SubTaskUpdateV2Dto":{"type":"object","properties":{"userEmail":{"description":"Email of the user associated with the subtask","type":"string","format":"email","example":"user@example.com","maxLength":255},"description":{"description":"Description of the subtask","type":"string","example":"This subtask is for data discovery","maxLength":1000,"minLength":1},"deadline":{"description":"Deadline for the subtask","type":"string","format":"date-time","example":"2023-09-08T12:49:47.920Z"},"reminder":{"description":"Reminder date for the subtask","type":"string","format":"date-time","example":"2023-09-05T12:49:47.920Z"},"required":{"description":"Whether the subtask is required","type":"boolean","example":true,"default":"false"},"assignedTogroup":{"description":"Whether the subtask is assigned to a group","type":"boolean","example":false,"default":"false"},"groupName":{"description":"Name of the group if assigned to a group","type":"string","example":"Data Privacy Team","maxLength":255},"taskName":{"description":"Name of the task","type":"string","example":"Data Discovery","maxLength":100,"minLength":1}},"required":["description"]},"ReprocessSystemSubtaskDto":{"type":"object","properties":{"Comment":{"description":"Internal comment to identify reason for reprocessing the subtask. Longer comments may impact system performance.","type":"string","example":"Reprocessing due to configuration update","maxLength":1500000}}},"AttachmentV2Dto":{"type":"object","properties":{"fileName":{"description":"Attached file name","type":"string","example":"sample.txt","maxLength":200,"minLength":1},"fileId":{"description":"ID of attached file","type":"string","format":"uuid","example":"3b47744c-eebf-44bb-bf4c-680966a448dc"},"statusId":{"description":"Status ID of the attachment","type":"integer","format":"int64","example":10},"resourcePath":{"description":"Resource path of the attachment","type":"string","example":"/storage/attachments/sample.txt","maxLength":1000}},"required":["fileId","fileName"]},"SubTaskCompleteV2Dto":{"type":"object","properties":{"comment":{"description":"Comment for the subtask completion. Longer comments may impact system performance.","type":"string","example":"Task completed successfully","maxLength":1500000,"minLength":1},"markAsComplete":{"description":"Whether to mark the subtask as complete","type":"boolean","example":true,"default":"false"},"resolutionId":{"description":"Resolution ID for the subtask","type":"string","format":"uuid","example":"e2d0f59e-3df0-4b1f-965d-d57547ed44ad"},"attachments":{"description":"List of attachments for the subtask","type":"array","items":{"$ref":"#/components/schemas/AttachmentV2Dto"}}},"required":["comment"]},"SubTaskDataDiscoveryRequest":{"type":"object","example":{"Status":"25","another key":"value2","key":"value1"}},"RequestResolutionV2Dto":{"type":"object","properties":{"id":{"description":"The unique identifier for the resolution code. This is automatically generated when a new resolution code is created, not required in resolution creation payload.","type":"string","format":"uuid","example":"682488af-c26f-463e-9941-2f1582c6d4da","readOnly":true},"close":{"description":"Indicates whether this resolution code should be available as an option when closing a request. Set to true to make it available for closing requests.","type":"boolean","example":true},"reject":{"description":"Indicates whether this resolution code should be available as an option when rejecting a request. Set to true to make it available for rejecting requests.","type":"boolean","example":true},"complete":{"description":"Indicates whether this resolution code should be available as an option when completing a request. Set to true to make it available for completing requests.","type":"boolean","example":false},"type":{"description":"Specifies the type of resolution code, which determines where it appears in the UI. By default, this is set to 10 for request-level resolutions. Use 20 for subtask resolutions.","type":"integer","format":"int32","enum":["10","20"],"x-enumDescriptions":{"10":"RequestQueue resolutions","20":"Subtask resolutions"}},"titleTranslations":{"description":"A map of language codes to translated titles for this resolution code. English (en-us) translation is required. Each translation must be unique per language and type across all resolution codes.","type":"object","example":{"en-us":"Opt Out","fr":"Se désinscrire","de":"Abmelden"},"additionalProperties":{"type":"string"}},"descriptionTranslations":{"description":"A map of language codes to translated descriptions for this resolution code. The default English (en-us) translation must be present.","type":"object","example":{"en-us":"Opt Out the Request","fr":"Se désinscrire de la demande","de":"Anfrage abmelden"},"additionalProperties":{"type":"string"}}},"required":["close","complete","reject"]},"VerificationMethodV2CommentsDto":{"type":"object","properties":{"id":{"description":"The unique identifier for this comment.","type":"string","format":"uuid","example":"3b47744c-eebf-44bb-bf4c-680966a448dc"},"verificationMethodId":{"description":"The identifier of the verification method this comment belongs to.","type":"string","format":"uuid","example":"3b47744c-eebf-44bb-bf4c-680966a448dc"},"comment":{"description":"The text content of the comment providing details about the verification process.","type":"string","example":"Passport verified with photo matching the requester's profile picture."},"lastModifiedDate":{"description":"The timestamp when this comment was last modified.","type":"string","format":"date-time","example":"2020-01-08T11:49:48.657Z"},"type":{"description":"The type of comment, represented as an integer code.","type":"integer","format":"int32","example":1},"attachments":{"description":"A list of attachments associated with this comment, such as scanned documents or screenshots used in the verification process.","type":"array","items":{"$ref":"#/components/schemas/AttachmentV2Dto"}}},"required":["comment","id","verificationMethodId"]},"VerificationMethodV2DTO":{"type":"object","properties":{"id":{"description":"The unique identifier for this verification method.","type":"string","format":"uuid","example":"7a275364-d6e2-4581-b95b-843237cb232a"},"verificationMethodName":{"description":"The name of the verification method used to verify the data subject's identity.","type":"string","example":"Government ID","maxLength":100,"minLength":1},"description":{"description":"A detailed description of how the verification method was applied.","type":"string","example":"Verified government-issued photo ID matched with requester information.","maxLength":500},"verificationStatus":{"description":"The current status of the verification process.","type":"string","example":"VERIFIED","enum":["UNVERIFIED","VERIFIED","REJECTED"]},"verificationComments":{"description":"A list of comments and attachments associated with this verification method. This field is only populated when includeComments is set to true in the request.","type":"array","items":{"$ref":"#/components/schemas/VerificationMethodV2CommentsDto"}},"verificationType":{"description":"The type of verification process used.","type":"string","example":"MANUAL","enum":["MANUAL","AUTOMATED","EXTERNAL"]},"createdDate":{"description":"The timestamp when this verification method was created.","type":"string","format":"date-time","example":"2020-01-03T12:41:13.820Z"},"lastModifiedDate":{"description":"The timestamp when this verification method was last modified.","type":"string","format":"date-time","example":"2020-01-03T12:41:13.820Z"}}},"PauseDeadlineV2Request":{"type":"object","properties":{"pauseDeadline":{"description":"If PauseDeadline is marked true, the deadline will be paused. If PauseDeadline is marked false, the deadline will be resumed.","type":"boolean","example":true},"comment":{"description":"Internal comment to be added on pause or resume.","type":"string","example":"Pausing request","minLength":1},"language":{"description":"This is the ISO language code for OneTrust supported languages.\n\nThe language code provided here informs the language of the comment.\n\nExamples: en-us for English, de for German, fr for French, etc","type":"string","example":"en-us"}},"required":["pauseDeadline"]},"RequestV2StageUpdateDto":{"type":"object","properties":{"requestQueueId":{"description":"The 10-character unique identifier of the request.","type":"string"},"currentStage":{"description":"The name of the current workflow stage.","type":"string"},"statusCode":{"description":"The numeric identifier for the resolution code. ","type":"integer","format":"int64"}}},"RequestV2StageUpdateRequest":{"type":"object","properties":{"nextStage":{"description":"The name of the workflow stage to which the request will be moved.","type":"string","example":"Rejected"},"resolutionTitle":{"description":"The `titleTranslation` parameter value of the resolution. This value should be the translation that corresponds to the language code defined in the `language` parameter of this payload, if available. This value is obtained using the [Get List of Resolutions API](https://developer-onetrust-com.surrey.idm.oclc.org/onetrust/reference/getallv2resolutionsusingget). This parameter is only used when the `nextStage` parameter is set to `REJECTED`.","type":"string","example":"Not a privacy-related request"},"comments":{"description":"The comments to add when rejecting the request. This parameter is only used when the `nextStage` parameter is set to `REJECTED`.","type":"string","example":"Any comment"},"isInternalComment":{"description":"This flag indicates whether the comment added when rejecting a request is for internal use only and will not appear in the Privacy Portal.","type":"boolean","example":true}},"required":["nextStage"]},"LinkV2Request":{"type":"object","properties":{"LinkRequests":{"type":"array","items":{"type":"string"},"writeOnly":true},"UnlinkRequests":{"type":"array","items":{"type":"string"},"writeOnly":true},"comment":{"description":"A comment to accompany the current action of linking/ unlinking requests","type":"string","minLength":1}}},"RequestQueueListDto":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"requestQue
[...]
